# OpenSQLManager » \OpenSQLManager\Main
Author: Mike van Riel

Main Window Class

Creates and displays the main interface window

package | OpenSQLManager
subpackage | Windows

### Methods

## Create and display the main window on startup

    __construct()

## Some cleanup for when the main window is closed

    __destruct() : void

## Display About menu with version information

    about() : void

## Loads data tabs for the selected database

    load_tabs(string $dbname)

### Parameters

#### $dbname

`string`

## Exits the wx loop

    quit() : void

## Layout the main interface Create menus, hboxes, vboxs and other widgets

    _main_layout() : void

### Properties

## Reference to split window

    $split : \OpenSQLManager\wxSplitterWindow

## Reference to tab control in split Window

    $tabs : \OpenSQLManager\wxAUINotebook

## Reference to settings instance

    $settings : \OpenSQLManager\Settings

### Constants

## MAC_ABOUT_ITEM

    MAC_ABOUT_ITEM

## MAC_EXIT_ITEM

    MAC_EXIT_ITEM